WildFly installation for Java

Before you install New Relic's Java agent, make sure your WildFly version is supported. Depending on which WildFly version your application uses, additional configuration steps may be required.

Install WildFly versions earlier than 11

If your supported WildFly version is earlier than v11, follow standard Java installation procedures. You do not need to do any additional configuration.

Install WildFly version 11 or higher

If you use WildFly version 11 or higher, New Relic's Java agent requires additional configuration after you install it.

  1. Install the Java agent.
  2. Open the standalone configuration file appropriate for your operating system and add the -javaagent property to JAVA_OPTS. For example, if you use Linux, edit the /bin/standalone.conf file or /bin/standalone.conf.bat for Windows.
  3. Make the agent jar is visible to all JBoss modules by adding com.newrelic to the JBoss modules system packages using either these options in the standalone script:

    • Recommended: Option 1 (same as adding -javaagent property):

      JAVA_OPTS="$JAVA_OPTS -Djboss.modules.system.pkgs=$JBOSS_MODULES_SYSTEM_PKGS,com.newrelic
    • Option 2:

      if [ "x$JBOSS_MODULES_SYSTEM_PKGS" = "x" ]; then
      JBOSS_MODULES_SYSTEM_PKGS="org.jboss.byteman,com.newrelic"
      fi
  4. Restart your application server.

For more help

Recommendations for learning more: